Bug 188484 - [PATCH] devel/py-durus: staging
Summary: [PATCH] devel/py-durus: staging
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-11 23:00 UTC by Bartek Rutkowski
Modified: 2014-04-12 16:03 UTC (History)
1 user (show)

See Also:


Attachments
py-durus-3.9.patch (1.19 KB, patch)
2014-04-11 23:00 UTC, Bartek Rutkowski
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bartek Rutkowski freebsd_committer 2014-04-11 23:00:00 UTC
- Staging
- Add LICENSE
- Pet portlint

http://poudriere.ithil.palantiri.org:8080/latest-per-pkg/py27-durus/3.9_1/

Port maintainer (wenheping@gmail.com) is cc'd.

Generated with FreeBSD Port Tools 1.00.2014.03.23 (mode: change, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2014-04-11 23:00:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wen

wenheping@gmail.com => wen@ (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2014-04-11 23:00:06 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Edwin Groothuis freebsd_committer 2014-04-11 23:00:06 UTC
Maintainer of devel/py-durus,

Please note that PR ports/188484 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/188484

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 4 dfilter service freebsd_committer 2014-04-12 14:13:57 UTC
Author: wen
Date: Sat Apr 12 13:13:52 2014
New Revision: 351091
URL: http://svnweb.freebsd.org/changeset/ports/351091
QAT: https://qat.redports.org/buildarchive/r351091/

Log:
  - Stage support [1]
  - Add LICENSE [1]
  - Add a mirror
  - Convert to optionNG
  - Pass maintainership to submitter
  
  PR:		188484 [1]
  Submitted by:	Bartek Rutkowski <ports@robakdesign.com> [1]

Modified:
  head/devel/py-durus/Makefile
  head/devel/py-durus/pkg-descr
  head/devel/py-durus/pkg-plist

Modified: head/devel/py-durus/Makefile
==============================================================================
--- head/devel/py-durus/Makefile	Sat Apr 12 12:37:30 2014	(r351090)
+++ head/devel/py-durus/Makefile	Sat Apr 12 13:13:52 2014	(r351091)
@@ -5,27 +5,29 @@ PORTNAME=	durus
 PORTVERSION=	3.9
 PORTREVISION=	1
 CATEGORIES=	devel python
-MASTER_SITES=	http://www.mems-exchange.org/software/durus/
+MASTER_SITES=	CHEESESHOP \
+		http://www.mems-exchange.org/software/durus/
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
 DISTNAME=	Durus-${PORTVERSION}
 
-MAINTAINER=	wenheping@gmail.com
-COMMENT=	A persistent object storage system for Python
+MAINTAINER=	ports@robakdesign.com
+COMMENT=	Persistent object storage system for Python
 
-USE_PYTHON=	yes
-USE_PYDISTUTILS=	easy_install
-PYEASYINSTALL_ARCHDEP=	yes
+LICENSE=	MIT
+
+USE_PYTHON=		yes
+USE_PYDISTUTILS=	yes
+PYDISTUTILS_AUTOPLIST=	yes
 PYDISTUTILS_PKGNAME=	Durus
 
-NO_STAGE=	yes
-.include <bsd.port.pre.mk>
+.include <bsd.port.options.mk>
 
 post-install:
-.if !defined(NOPORTDOCS)
-	@ ${MKDIR} ${DOCSDIR}
+.if ${PORT_OPTIONS:MDOCS}
+	@ ${MKDIR} ${STAGEDIR}${DOCSDIR}
 .for docfile in ACKS.txt CHANGES.txt INSTALL.txt LICENSE.txt README.txt doc/FAQ.txt
-	@ ${INSTALL_DATA} ${WRKSRC}/${docfile} ${DOCSDIR}
+	@ ${INSTALL_DATA} ${WRKSRC}/${docfile} ${STAGEDIR}${DOCSDIR}
 .endfor
 .endif
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/devel/py-durus/pkg-descr
==============================================================================
--- head/devel/py-durus/pkg-descr	Sat Apr 12 12:37:30 2014	(r351090)
+++ head/devel/py-durus/pkg-descr	Sat Apr 12 13:13:52 2014	(r351091)
@@ -8,4 +8,4 @@ instance which includes commit() and abo
 are transactional. Durus is best suited to collections of less than a
 million instances with relatively stable state.
 
-WWW:      http://www.mems-exchange.org/software/durus/
+WWW: http://www.mems-exchange.org/software/durus/

Modified: head/devel/py-durus/pkg-plist
==============================================================================
--- head/devel/py-durus/pkg-plist	Sat Apr 12 12:37:30 2014	(r351090)
+++ head/devel/py-durus/pkg-plist	Sat Apr 12 13:13:52 2014	(r351091)
@@ -1,5 +1,3 @@
-bin/durus
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%
 %%PORTDOCS%%%%DOCSDIR%%/ACKS.txt
 %%PORTDOCS%%%%DOCSDIR%%/CHANGES.txt
 %%PORTDOCS%%%%DOCSDIR%%/FAQ.txt
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Wen Heping freebsd_committer 2014-04-12 16:03:22 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!